publish support for TeleGPS v2.0
authorBdale Garbee <bdale@gag.com>
Sun, 17 Sep 2017 18:41:50 +0000 (12:41 -0600)
committerBdale Garbee <bdale@gag.com>
Sun, 17 Sep 2017 18:41:50 +0000 (12:41 -0600)
Makefile.am
Releasing
ao-bringup/test-telegps [deleted file]
ao-bringup/test-telegps-v1 [new file with mode: 0755]
ao-bringup/test-telegps-v2 [new file with mode: 0755]
ao-bringup/turnon_telegps
ao-bringup/turnon_telegps_v1 [new file with mode: 0755]
src/Makefile
src/telegps-v2.0/ao_pins.h

index cac02c6..4f47417 100644 (file)
@@ -64,6 +64,7 @@ fat_altos = \
        src/teledongle-v0.2/teledongle-v0.2-$(VERSION).ihx \
        src/teledongle-v3.0/teledongle-v3.0-$(VERSION).ihx \
        src/telegps-v1.0/telegps-v1.0-$(VERSION).ihx \
+       src/telegps-v2.0/telegps-v2.0-$(VERSION).ihx \
        src/telemega-v1.0/telemega-v1.0-$(VERSION).ihx \
        src/telemega-v2.0/telemega-v2.0-$(VERSION).ihx \
        src/telemetrum-v1.0/telemetrum-v1.0-$(VERSION).ihx \
index 92d0f8e..8af50a1 100644 (file)
--- a/Releasing
+++ b/Releasing
@@ -105,6 +105,7 @@ These are Bdale's notes on how to do a release.
           src/telebt-v4.0/{*.elf,*.ihx} \
           src/teledongle-v3.0/{*.elf,*.ihx} \
           src/telegps-v1.0/{*.elf,*.ihx} \
+          src/telegps-v2.0/{*.elf,*.ihx} \
           src/telemega-v1.0/{*.elf,*.ihx} \
           src/telemega-v2.0/{*.elf,*.ihx} \
           src/telemetrum-v2.0/{*.elf,*.ihx} \
@@ -118,6 +119,7 @@ These are Bdale's notes on how to do a release.
           src/telebt-v4.0/flash-loader/{*.elf,*.bin} \
           src/teledongle-v3.0/flash-loader/*.elf \
           src/telegps-v1.0/flash-loader/*.elf \
+          src/telegps-v2.0/flash-loader/*.elf \
           src/telemega-v1.0/flash-loader/*.elf \
           src/telemega-v2.0/flash-loader/*.elf \
           src/telemetrum-v2.0/flash-loader/*.elf \
diff --git a/ao-bringup/test-telegps b/ao-bringup/test-telegps
deleted file mode 100755 (executable)
index 0b27580..0000000
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/bin/sh
-
-VERSION=1.0
-PRODUCT=TeleGPS
-BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
-
-echo "$PRODUCT-v$VERSION Test Program"
-echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
-echo
-echo "Expectations:"
-echo "\t$PRODUCT v$VERSION powered from USB"
-echo
-
-ret=1
-ao-list | while read product serial dev; do
-    case "$product" in
-       "$PRODUCT-v$VERSION")
-
-           echo "Testing $product $serial $dev"
-
-           FLASHSIZE=2097152
-
-           echo "Testing flash"
-           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
-
-           case $? in
-               0)
-                   ;;
-               *)
-                   echo "failed"
-                   exit 1
-           esac
-
-           echo "Testing GPS"
-           ../ao-tools/ao-test-gps/ao-test-gps --tty="$dev"
-
-           case $? in
-               0)
-                   ;;
-               *)
-                   echo "failed"
-                   exit 1
-           esac
-
-           echo "$PRODUCT-v$VERSION" serial "$serial" passed functional tests
-           ret=0
-           ;;
-       *)
-           echo "Skipping $product $serial $dev"
-           ;;
-    esac
-done
diff --git a/ao-bringup/test-telegps-v1 b/ao-bringup/test-telegps-v1
new file mode 100755 (executable)
index 0000000..0b27580
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+VERSION=1.0
+PRODUCT=TeleGPS
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+    case "$product" in
+       "$PRODUCT-v$VERSION")
+
+           echo "Testing $product $serial $dev"
+
+           FLASHSIZE=2097152
+
+           echo "Testing flash"
+           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "Testing GPS"
+           ../ao-tools/ao-test-gps/ao-test-gps --tty="$dev"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "$PRODUCT-v$VERSION" serial "$serial" passed functional tests
+           ret=0
+           ;;
+       *)
+           echo "Skipping $product $serial $dev"
+           ;;
+    esac
+done
diff --git a/ao-bringup/test-telegps-v2 b/ao-bringup/test-telegps-v2
new file mode 100755 (executable)
index 0000000..b103aed
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+VERSION=2.0
+PRODUCT=TeleGPS
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+    case "$product" in
+       "$PRODUCT-v$VERSION")
+
+           echo "Testing $product $serial $dev"
+
+           FLASHSIZE=2097152
+
+           echo "Testing flash"
+           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "Testing GPS"
+           ../ao-tools/ao-test-gps/ao-test-gps --tty="$dev"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+
+           echo "$PRODUCT-v$VERSION" serial "$serial" passed functional tests
+           ret=0
+           ;;
+       *)
+           echo "Skipping $product $serial $dev"
+           ;;
+    esac
+done
index b6da289..fd879ab 100755 (executable)
@@ -1,12 +1,10 @@
 #!/bin/sh
 
-if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
-        FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
-elif [ -x /usr/bin/ao-flash-lpc ]; then
-        FLASH_LPC=/usr/bin/ao-flash-lpc
+if [ -x /usr/bin/dfu-util ]; then
+    DFU_UTIL=/usr/bin/dfu-util
 else
-        echo "Can't find ao-flash-lpc!  Aborting."
-        exit 1
+    echo "Can't find dfu-util! Aborting."
+    exit 1
 fi
 
 if [ -x /usr/bin/ao-usbload ]; then
@@ -17,16 +15,17 @@ else
 fi
 
 PRODUCT=TeleGPS
-VERSION=1.0
-BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
-echo $FILE
+VERSION=2.0
+REPO=~/altusmetrumllc/Binaries
+
+#BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+#echo $FILE
 
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo "Copyright 2017 by Bdale Garbee.  Released under GPL v3+"
 echo
 echo "Expectations:"
-echo "\t$PRODUCT v$VERSION powered from USB"
-echo "\t\twith ST-Link-V2 cabled to debug header"
+echo "\t$PRODUCT v$VERSION powered from / attached to USB on this computer"
 echo
 
 case $# in
@@ -47,35 +46,31 @@ esac
 #
 # Use released versions of everything
 #
-FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v1.0-altos-flash-*.elf
-ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v1.0-*.elf
-
-echo $FLASH_LPC $FLASH_FILE
+FLASH_FILE=$REPO/loaders/telegps-v2.0-altos-flash-*.bin
+ALTOS_FILE=$REPO/telegps-v2.0-*.elf
 
-$FLASH_LPC $FLASH_FILE || exit 1
+$DFU_UTIL -a 0 -s 0x08000000:leave -D $FLASH_FILE || exit 1
 
 sleep 2
 
-echo $USBLOAD $ALTOS_FILE
-
 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
 
-sleep 2
+sleep 3
 
-dev=`ao-list | awk '/TeleGPS-v'"$VERSION"'/ { print $3; exit(0); }'`
+dev=`ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
 
 case "$dev" in
 /dev/tty*)
-        echo "TeleGPS found on $dev"
+        echo "$PRODUCT found on $dev"
         ;;
 *)
-        echo 'No TeleGPS-v'"$VERSION"' found'
+        echo 'No '"$PRODUCT"'-v'"$VERSION"' found'
         exit 1
         ;;
 esac
 
 SERIAL=$SERIAL ./cal-freq $dev
 
-./test-telegps
+./test-telegps-v2
 
 exit $?
diff --git a/ao-bringup/turnon_telegps_v1 b/ao-bringup/turnon_telegps_v1
new file mode 100755 (executable)
index 0000000..5341acc
--- /dev/null
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
+        FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
+elif [ -x /usr/bin/ao-flash-lpc ]; then
+        FLASH_LPC=/usr/bin/ao-flash-lpc
+else
+        echo "Can't find ao-flash-lpc!  Aborting."
+        exit 1
+fi
+
+if [ -x /usr/bin/ao-usbload ]; then
+       USBLOAD=/usr/bin/ao-usbload
+else
+       echo "Can't find ao-usbload!  Aborting."
+       exit 1
+fi
+
+PRODUCT=TeleGPS
+VERSION=1.0
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+echo $FILE
+
+echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
+echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo "\t\twith ST-Link-V2 cabled to debug header"
+echo
+
+case $# in
+    1)
+       SERIAL="$1"
+       echo "$PRODUCT-$VERSION serial number: $SERIAL" 
+       ;;
+    0)
+       echo -n "$PRODUCT-$VERSION serial number: "
+       read SERIAL
+       ;;
+    *)
+       echo "Usage: $0 <serial-number>" 1>&2
+       exit 1;
+       ;;
+esac
+
+#
+# Use released versions of everything
+#
+FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v1.0-altos-flash-*.elf
+ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v1.0-*.elf
+
+echo $FLASH_LPC $FLASH_FILE
+
+$FLASH_LPC $FLASH_FILE || exit 1
+
+sleep 2
+
+echo $USBLOAD $ALTOS_FILE
+
+$USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
+
+sleep 2
+
+dev=`ao-list | awk '/TeleGPS-v'"$VERSION"'/ { print $3; exit(0); }'`
+
+case "$dev" in
+/dev/tty*)
+        echo "TeleGPS found on $dev"
+        ;;
+*)
+        echo 'No TeleGPS-v'"$VERSION"' found'
+        exit 1
+        ;;
+esac
+
+SERIAL=$SERIAL ./cal-freq $dev
+
+./test-telegps-v1
+
+exit $?
index 25e43a0..661fd33 100644 (file)
@@ -35,6 +35,7 @@ ARMM3DIRS=\
        megadongle-v0.1 megadongle-v0.1/flash-loader \
        telegps-v0.3 telegps-v0.3/flash-loader \
        telegps-v1.0 telegps-v1.0/flash-loader \
+       telegps-v2.0 telegps-v2.0/flash-loader \
        telelco-v0.2 telelco-v0.2/flash-loader \
        telelco-v0.3 telelco-v0.3/flash-loader \
        telescience-v0.2 telescience-v0.2/flash-loader \
index f92564d..03ca5c2 100644 (file)
@@ -110,6 +110,8 @@ struct ao_adc {
 #define HAS_SERIAL_2           1
 #define SERIAL_2_PA2_PA3       1
 #define USE_SERIAL_2_STDIN     0
+#define USE_SERIAL_2_FLOW       0
+#define USE_SERIAL_2_SW_FLOW    0
 
 #define ao_gps_getchar         ao_serial2_getchar
 #define ao_gps_putchar         ao_serial2_putchar